local L = LibStub("AceLocale-3.0"):GetLocale("AVRE")


--[[ CORE DEFAULTS ]]---------------------------------------------------------------------------------------------------------------

local defaultColor = { r = 1.0, g = 0.0, b = 0.0, a = 0.25 }

AVRE.defaults = {
 profile = {
		enabled = true,
		enc = {
			wotlk = {
				enabled = true,
				icecrown = {
					enabled = true,
					marrowgar = {
						enabled = true,
						spike = true,
						advanced = {
							spike = { r = 1.0, g = 0.0, b = 0.0, a = 0.4 },
						},
					},
					deathwhisper = {
						enabled = true,
						dominate = true,
						spirit = true,
						advanced = {
							dominate = { r = 1.0, g = 0.0, b = 0.0, a = 0.7 },
							spirit = { r = 0.2, g = 0.2, b = 1.0, a = 0.7 },
						},
					},
					festergut = {
						enabled = true,
						gasSpore = true,
						range = { enabled = false, range = 10 },
						advanced = {
							gasSpore = defaultColor,
						},
					},
					rotface = {
						enabled = true,
						explosion = true,
						infection = true,
						vile = true,
						kiter = "",
						range = { enabled = false, range = 10 },
						advanced = {
							explosion = { r = 1.0, g = 0.0, b = 0.0, a = 0.25, rad = 6 },
							infection = { r = 0.2, g = 1.0, b = 0.2, a = 0.25 },
							vile = { r = 1.0, g = 0.5, b = 0.0, a = 0.25 },
							kiter = { r = 1.0, g = 1.0, b = 1.0, a = 0.7, rad = 2 },
						},
					},
					putricide = {
						enabled = true,
						malleable = true,
						malleableAll = true,
						plague = true,
						sick = true,
						advanced = {
							malleable = { r = 1.0, g = 0.0, b = 0.0, a = 0.25, rad = 7 },
							malleableAll = { r = 0.1, g = 0.1, b = 1.0, a = 0.1, rad = 7 },
							plague = { r = 1.0, g = 0.5, b = 0.0, a = 0.25 },
							sick = { r = 1.0, g = 1.0, b = 1.0, a = 0.5, rad = 0.6 },
						},
					},
					bloodprince = {
						enabled = true,
						flame = true,
						vortex = true,
						empvortex = true,
						advanced = {
							flame = { r = 1.0, g = 0.0, b = 0.0, rad = 10 },
							vortex = { r = 1.0, g = 1.0, b = 1.0, a = 0.5, rad = 8 },
						},
					},
					lanathel = {
						enabled = true,
						terror = true,
					},
					sindragosa = {
						enabled = true,
						beacon = true,
						instability = true,
						advanced = {
							beacon = { r = 1.0, g = 0.0, b = 0.0, a = 0.1, rad = 10 },
							instability = { r = 0.0, g = 0.0, b = 1.0, a = 0.1, rad = 20 },
						},
					},
					lichking = {
						enabled = true,
						defile = false,
						shadowtrap = true,
						plague = true,
						advanced = {
							defile = defaultColor,
							shadowtrap = defaultColor,
							plague = { r = 0.2, g = 1.0, b = 0.2, a = 0.4 },
						},
					},
				},
			},
		},
 },
}


